package com.team5.aLife.BaseStation;

public class LoginReply extends AbstractReply{
	
	private Boolean successfulLogin;
	private User user;
	
	public LoginReply(){
			//  Do nothing.  Needed for Json
		}
	
	public LoginReply(Boolean succesfulLogin, User user){
		
		this.successfulLogin = succesfulLogin;
		this.user = user;
		replyType = getReplyType();
		
	}
	
	public Boolean wasLoginSuccesful(){
		return successfulLogin;
	}
	
	public User getUser(){
		return user;
	}
	
	public int getReplyType(){
		return LOGIN_REPLY;
	}

}
